<?php
	$qry = "SELECT
				communication.*,
				properties.propertyName,
				servicepriority.priorityTitle,
				servicestatus.statusTitle,
				CONCAT(users.userFirstName,' ',users.userLastName) AS user,
				admins.adminName AS assignedAdmin
			FROM
				communication
				LEFT JOIN properties ON communication.propertyId = properties.propertyId
				LEFT JOIN servicepriority ON communication.requestPriority = servicepriority.priorityId
				LEFT JOIN servicestatus ON communication.requestStatus = servicestatus.statusId
				LEFT JOIN admins ON communication.assignedTo = admins.adminId
				LEFT JOIN users ON communication.userId = users.userId";
			
				
	$res = mysqli_query($mysqli, $qry) or die('-2' . mysqli_error());

	$manageCommunicationPage = 'true';
	$pageTitle = 'All Communication';
	$addCss = '<link href="../css/dataTables.css" rel="stylesheet">';
	$dataTables = 'true';
	$jsFile = 'communication';

	include 'includes/header.php';
?>
	<div class="container page_block noTopBorder">
		<hr class="mt-0 mb-0" />

		<?php
			if ($rs_isAdmin != '') {
				if ($msgBox) { echo $msgBox; }
		?>
				<h3><?php echo $pageTitle; ?></h3>

				<?php if(mysqli_num_rows($res) > 0) { ?>
					<table id="requests" class="display" cellspacing="0">
						<thead>
							<tr>
								<th><?php echo $propertyHead; ?></th>
								<th><?php echo $tenantHead; ?></th>
								
								<th><?php echo $requestHead; ?></th>
								<th class="text-center"><?php echo $priorityField; ?></th>
								
								<th class="text-center"><?php echo $dateSubmittedHead; ?></th>
								<th class="text-center"><?php echo $lastUpdatedHead; ?></th>
							</tr>
						</thead>

						<tbody>
							<?php
								while ($row = mysqli_fetch_assoc($res)) {
									if ($row['assignedTo'] == '0') { $assignedAdmin = '<em>'.$unassignedText.'</em>'; } else { $assignedAdmin = clean($row['assignedAdmin']); }
									if ($row['lastUpdated'] == '0000-00-00 00:00:00') { $lastUpdated = ''; } else { $lastUpdated = dateFormat($row['lastUpdated']); }
							?>
									<tr>
										<td>
											<a href="index.php?action=viewProperty&propertyId=<?php echo $row['propertyId']; ?>" data-toggle="tooltip" data-placement="top" title="<?php echo $viewPropertyText; ?>">
												<?php echo clean($row['propertyName']); ?>
											</a>
										</td>
										<td>
											<a href="index.php?action=viewTenant&userId=<?php echo $row['userId']; ?>" data-toggle="tooltip" data-placement="top" title="<?php echo $viewTenantText; ?>">
												<?php echo clean($row['user']); ?>
											</a>
										</td>
										
										<td>
											<a href="index.php?action=viewCommunication&requestId=<?php echo $row['requestId']; ?>" data-toggle="tooltip" data-placement="top" title="<?php echo $viewRequestText; ?>">
												<?php echo clean($row['requestTitle']); ?>
											</a>
										</td>
										<td class="text-center"><?php echo clean($row['priorityTitle']); ?></td>
										
										<td class="text-center"><?php echo dateFormat($row['requestDate']); ?></td>
										<td class="text-center"><?php echo $lastUpdated; ?></td>
									</tr>
							<?php } ?>
						</tbody>
					</table>
				<?php } else { ?>
					<div class="alertMsg default mb-20">
						<div class="msgIcon pull-left">
							<i class="fa fa-info-circle"></i>
						</div>
						<?php echo $noOpenClosedReqFoundMsg; ?>
					</div>
				<?php } ?>

		<?php } else { ?>
			<hr class="mt-0 mb-0" />
			<h3><?php echo $accessErrorHeader; ?></h3>
			<div class="alertMsg warning mb-20">
				<div class="msgIcon pull-left">
					<i class="fa fa-warning"></i>
				</div>
				<?php echo $permissionDenied; ?>
			</div>
		<?php } ?>
	</div>